/*global $*/
/*global Toolkit*/
(function () {
	Toolkit.moduleVersions = {};

	/**
	 * Server side information about a module in the context of a specific project.
	 * required attributes: module__name, version, project_id
	 * 
	 * @param attributes.project_id {number} id of the project this is from the perspective of
	 * @param attributes.module__name {string} name of the module
	 * @param attributes.version {string} version string of the module
	 */
	Toolkit.Models.ModuleVersion = Toolkit.Models.RpcModel.extend({
		idAttribute: 'id',

		cacheName: 'ModuleVersion',

		method: 'api.get',
		args: function () {
			var url = 'module_version?'+$.param({ project_id: this.get('project_id'), module_name: this.get('module__name'), module_version: this.get('version') });
			return {
				cookies: Toolkit.cookies,
				method: url
			};
		},

		collectErrors: true
	});
}());