/*global Toolkit*/
/*global Backbone*/
/*global _superApply*/
/*global Mustache*/
(function () {

	var BreadcrumbsView = Toolkit.Views.BreadcrumbsView = Backbone.View.extend({
		className: "container-fluid",
		template: "component/breadcrumbs",

		initialize: function () {
			_superApply(BreadcrumbsView, this, 'initialize', arguments);
			this.listenTo(this.collection, "all", this.renderTemplate);
		},

		templateAttributes: function () {
			return {breadcrumbs: this.collection.toJSON(), server: Toolkit.server.substring(0, Toolkit.server.length-5)};
		},

		renderTemplate: function () {
			var template = Toolkit.Templates[this.template];
			if (!template) {
				throw "No such template: " + this.template;
			}

			var attributes = this.templateAttributes();

			var html = Mustache.to_html(template, attributes, Toolkit.Templates);

			this.$el.html(html);
			return this;
		}
	});
})();