// view and helper method for showing a report error dialog
/*global Backbone*/
/*global Toolkit*/
/*global $*/
/*global _*/
(function () {
	var SendErrorReportView = Toolkit.Views.ViewWithTemplate.extend({
		template: 'util/senderrorreport'
	});

	_.extend(Toolkit, {
		sendErrorReport: function (consoleTask) {
			var shortBody = "Hello, an error occurred on: " +
				window.location.hash + "\n\n" +
				"userAgent: " +
				window.navigator.userAgent + "\n\n" +
				"Log output: \n";
			var errorModel = new Backbone.Model({
				subject: encodeURIComponent(window.location.hash),
				short_body: "",
				body: shortBody + "\n\n" + consoleTask.outputAsText()
			});
			var contentView = new SendErrorReportView({ model: errorModel });
			var view = new Toolkit.Views.ModalDialog({
				title: 'Unexpected error',
				contentView: contentView,
				clickOutsideToCancel: true
			});
			view.render();
			$('body').append(view.el);
			view.show();
			return view;
		}
	});
}());



