/*global Toolkit*/
(function () {
	var UpdateView = Toolkit.Views.ViewWithTemplate.extend({
		breadcrumbs: function () {
			return [];
		},
		initialize: function () {
			UpdateView.__super__.initialize.apply(this, arguments);
			this.listenTo(this.model, "change:status", this.render, this);
		},

		render: function () {
			// render a the corresponding template for the task status
			this.updateBreadcrumbs();
			var status = this.model.get('status');
			this.renderTemplate('update/' + status);
			return this;
		}
	});

	// takes the rpc call where the update is happening as a parameter
	// so that it can listen for success/error of the update
	Toolkit.showUpdateViewAndShutdownOnSuccess = function (rpc) {
		var pageView = new UpdateView({
			model: new Toolkit.Models.ConsoleTask({
				rpc: rpc
			})
		}).render();

		Toolkit.permanentPageTransition(pageView);

		rpc.on('success', function () {
			Toolkit.hasUpdated = true;
			Toolkit.rpcSession.remoteCall('util.shutdown');
		});
	};
}());

