from contextlib import nested

from trigger.api import expose
from trigger import forge_tool
from forge import async

@expose
def get(cookies, method):
    return forge_tool.singleton.remote._api_get(method, cookies=cookies)

@expose
def post(cookies, method, data):
    return forge_tool.singleton.remote._api_post(method, data=data, cookies=cookies)

@expose
def post_files(cookies, method, data, files):
    with async.current_call().io_lock:
        with nested(*[open(f, 'rb') for f in files.values()]) as file_objs:
            opened_files = dict(zip(files.keys(), file_objs))
            return forge_tool.singleton.remote._api_post(method, data=data, cookies=cookies, files=opened_files)

@expose
def server():
    return forge_tool.singleton.remote.server
