from trigger.api import expose
from trigger import forge_tool

@expose
def check(cookies):
    """Check whether we're already authenticated with the server via a cookie"""

    resp = forge_tool.singleton.remote._api_get('auth/loggedin', cookies=cookies)

    # XXX: Remote shouldn't store whether or not the toolkit is authenticated
    if resp.get('loggedin'):
        forge_tool.singleton.remote._authenticated = True

    return { "authenticated": resp.get('loggedin'), "user": resp.get('user'), "validated_email": resp.get('validated_email'), "thirdparty_module_warning": resp.get('thirdparty_module_warning') }

@expose
def logout(cookies):
    """Logout the given cookie session"""
    return forge_tool.singleton.remote.logout(cookies)
