import logging

from forge import async
from trigger.api import expose
from trigger import forge_tool
from forge import updater


LOG = logging.getLogger(__name__)


@expose
def shutdown():
    async.current_call().emit('shutdown')

@expose
def check_for_update():
    LOG.info('Performing update check...')
    toolkit_updater = updater.toolkit_updater()
    remote = forge_tool.singleton.remote
    try:
        toolkit_updater.force_check_version(remote)
    except updater.UpdateRequired:
        LOG.debug('Server said update required')
        async.current_call().emit('updatestart')
        toolkit_updater.get_update_zip(remote)
    else:
        LOG.debug('No update required')
