import logging

from forge import build_config
from forge.remote import Remote
from threading import Lock

LOG = logging.getLogger(__name__)

singleton = None
singleton_params = None
lock = Lock()

def init(kw):
    global singleton, singleton_params

    if singleton is not None:
        return

    with lock:
        if singleton is None:
            if not kw:
                singleton_params = {
                        'config': build_config.load()
                }
            else:
                singleton_params = kw

            singleton = ForgeTool(**singleton_params)

class ForgeTool(object):
    def __init__(self, config=None):
        # have to pass in expect_app_config=False otherwise this call fails when
        # looking for an app specific config.json
        if config is None:
            self.config = build_config.load()
        else:
            self.config = config
        self.remote = Remote(self.config, use_cookie_file=False, enable_caching=True)
